Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans.beancontext
Interface BeanContextProxy

public interface BeanContextProxy

This interface is implemented by a JavaBean that does not directly have a BeanContext(Child) associated with it (via implementing that interface or a subinterface thereof), but has a public BeanContext(Child) delegated from it. For example, a subclass of java.awt.Container may have a BeanContext associated with it that all Component children of that Container shall be contained within.

An Object may not implement this interface and the BeanContextChild interface (or any subinterfaces thereof) they are mutually exclusive.

Callers of this interface shall examine the return type in order to obtain a particular subinterface of BeanContextChild as follows: `BeanContextChild bcc = o.getBeanContextProxy(); if (bcc instanceof BeanContext) { // ... }` or `BeanContextChild bcc = o.getBeanContextProxy(); BeanContext bc = null; try { bc = (BeanContext)bcc; } catch (ClassCastException cce) { // cast failed, bcc is not an instanceof BeanContext }`

The return value is a constant for the lifetime of the implementing instance

Since:
  1.2

Method Summary
`BeanContextChild` | `getBeanContextProxy()` Gets the `BeanContextChild` (or subinterface) associated with this object.

Method Detail

### getBeanContextProxy

    public BeanContextChild getBeanContextProxy()

  Gets the `BeanContextChild` (or subinterface) associated with this object.

  Returns:
    the `BeanContextChild` (or subinterface) associated with this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.